Restore a conversation
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_name": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"participant_name": "<string>",
"participant_avatar_url": "<string>",
"participant_linkedin_url": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_direction": "<string>",
"unread_count": 0,
"is_favorite": false,
"status": "open",
"tags": [
"<string>"
],
"auto_tag": "<string>",
"suggested_reply": "<string>",
"suggested_reply_stale": false,
"lead": {
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"company_name": "<string>",
"person_email": "<string>",
"person_linkedin_url": "<string>",
"person_headline": "<string>",
"person_about": "<string>",
"person_avatar": "<string>",
"person_location": "<string>"
},
"outreach_stage": "<string>",
"campaign_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_status": "<string>",
"auto_reply_pending": {
"send_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"hold_id": "<string>"
},
"can_resume_campaign": false,
"can_ignore_reply": false,
"reply_ignored": false,
"campaign_auto_reply_mode": "<string>",
"can_turn_off_auto_reply": false,
"stage_from_reply": {
"stage": "<string>",
"source": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"previous_stage": "<string>",
"can_undo": true
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Inbox
Restore a conversation
Brings an archived conversation back.
POST
/
conversations
/
{conversation_id}
/
unarchive
Restore a conversation
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/conversations/{conversation_id}/unarchive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_name": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"participant_name": "<string>",
"participant_avatar_url": "<string>",
"participant_linkedin_url": "<string>",
"last_message_preview": "<string>",
"last_message_at": "2023-11-07T05:31:56Z",
"last_message_direction": "<string>",
"unread_count": 0,
"is_favorite": false,
"status": "open",
"tags": [
"<string>"
],
"auto_tag": "<string>",
"suggested_reply": "<string>",
"suggested_reply_stale": false,
"lead": {
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"company_name": "<string>",
"person_email": "<string>",
"person_linkedin_url": "<string>",
"person_headline": "<string>",
"person_about": "<string>",
"person_avatar": "<string>",
"person_location": "<string>"
},
"outreach_stage": "<string>",
"campaign_name": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_status": "<string>",
"auto_reply_pending": {
"send_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"hold_id": "<string>"
},
"can_resume_campaign": false,
"can_ignore_reply": false,
"reply_ignored": false,
"campaign_auto_reply_mode": "<string>",
"can_turn_off_auto_reply": false,
"stage_from_reply": {
"stage": "<string>",
"source": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"previous_stage": "<string>",
"can_undo": true
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes